Table of Contents
- Introduction
- Information Tags
- String Tags
- Variable Tags
- URL Tags

  | · Introduction · apre · aconf · set_cookie · remove_cookie · auth-required · expire_time · header · redirect · return · killframe

- If Tags
- Graphics Tags
- Database Tags
- Programming Tags
- Supports System
- SSI
- htaccess
- Image Maps
- Appendix

<apre> ... </apre> |

`<apre>` is defined in the Main RXML parser module. Adds or removes prestate options. Prestate options are simple true/false flags that are added to the URL of the page. Use `<if prestate=...>` to test for the presence of a prestate. `<apre>` works just like a `<a href=...>` container tag, but the `href` attribute can be omitted in which case the current page is used.

Attributes |
option, -option, href,

Attributes

`option`
  Add the prestate option.

`-option`
  Remove the prestate option.

`href`
  Make the generated link point to this URL. The URL must be local to this web site.

Example

source code

    <apre foo>Add the option</apre>
    <br><apre -foo>Remove the option</apre>

    <p><if prestate=foo>
    The option is set.
    </if>
    <else>
    The option is not set.
    </else>

result | Add the option Remove the option The option is not set.

</dump_if not cookie=rxml-help>